Bug 22073 - Diacritics Ž and ž not being mapped for searching (Non-ICU)
Summary: Diacritics Ž and ž not being mapped for searching (Non-ICU)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Zebra (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 14:23 UTC by Nick Clemens
Modified: 2019-02-25 07:00 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22076: Add to diacritics mappings for Ž and ž (996 bytes, patch)
2019-01-07 14:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22073: Add to diacritics mappings for Ž and ž (996 bytes, patch)
2019-01-07 14:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22073: Add to diacritics mappings for Ž and ž (1.03 KB, patch)
2019-01-08 11:02 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22073: Add to diacritics mappings for Ž and ž (1.08 KB, patch)
2019-01-08 17:29 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-01-07 14:23:13 UTC
To recreate:
0 - Ensure your catalog is not using ICU
1 - Find or add a record by author Slavoj Žižek
2 - Search for 'Zizek'
3 - No results
Comment 1 Nick Clemens 2019-01-07 14:27:21 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2019-01-07 14:27:44 UTC
Created attachment 83691 [details] [review]
Bug 22073: Add to diacritics mappings for Ž and ž

To test:
1 - Find or add a record by author Slavoj Žižek
2 - Search for 'Zizek'
3 - No results
4 - Apply patch
5 - Reindex
6 - Search again
7 - Success!
Comment 3 Nick Clemens 2019-01-08 11:02:29 UTC
Created attachment 83708 [details] [review]
Bug 22073: Add to diacritics mappings for Ž and ž

To test:
1 - Find or add a record by author Slavoj Žižek
2 - Search for 'Zizek'
3 - No results
4 - Apply patch
5 - Reindex
6 - Search again
7 - Success!

https://bugs.koha-community.org/show_bug.cgi?id=22073

Signed-off-by: Eric Phetteplace <ephetteplace@cca.edu>
Comment 4 Josef Moravec 2019-01-08 17:29:25 UTC
Created attachment 83718 [details] [review]
Bug 22073: Add to diacritics mappings for Ž and ž

To test:
1 - Find or add a record by author Slavoj Žižek
2 - Search for 'Zizek'
3 - No results
4 - Apply patch
5 - Reindex
6 - Search again
7 - Success!

https://bugs.koha-community.org/show_bug.cgi?id=22073

Signed-off-by: Eric Phetteplace <ephetteplace@cca.edu>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-01-09 01:14:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-01-10 14:18:46 UTC
Pushed to 18.11.x for 18.11.02
Comment 7 Jesse Maseto 2019-01-11 20:18:50 UTC
Pushed to 18.05.x for 18.05.08
Comment 8 Fridolin SOMERS 2019-01-16 08:59:03 UTC
Pushed to 17.11.x for 17.11.14